var YANGYA_APP =function(){
	var initTableHander = function(url,columns){
		var _dataTable = $('#dataTable').DataTable({
	    	"oLanguage": {
	    		"sLengthMenu": "每页显示 _MENU_ 条记录",
	    		"sZeroRecords": "抱歉， 没有找到",
	    		"sInfo": "从 _START_ 到 _END_ /共 _TOTAL_ 条数据",
	    		"sInfoEmpty": "没有数据",
	    		"sInfoFiltered": "(从 _MAX_ 条数据中检索)",
	    		"oPaginate": {
	    		"sFirst": "首页",
	    		"sPrevious": "前一页",
	    		"sNext": "后一页",
	    		"sLast": "尾页"
	    		}
	    	},
	    	"lengthChange": false,
	    	"searching": false,
	    	"ordering": false,
	    	"serverSide": true,
	        "ajax": {
	            url: url,
	            type: 'POST'
	        },
	        "columns":columns,
	        "drawCallback": function( settings ) {
	            console.log( '表格重绘了' );
	        }
	    })
	    return _dataTable;
	};
	
	return {
		//初始化表格数据	
		initTable:function(url,columns){
			return initTableHander(url,columns);
		}
	}
}();